[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# IfThen

Return one of two values, depending on a boolean condition

## Declaration

Source position: math.pp line 628

`function IfThen(`
`val: Boolean;`
`const iftrue: Integer;`
`const iffalse: Integer = 0`
`):Integer; overload; function IfThen(`
`val: Boolean;`
`const iftrue: Int64;`
`const iffalse: Int64 = 0`
`):Int64; overload; function IfThen(`
`val: Boolean;`
`const iftrue: Double;`
`const iffalse: Double = 0.0`
`):Double; overload;`

## Description

ifthen returns iftrue if val is True, and iffalse if val is False.

This function can be used in expressions.